%define	name		jcommon
%define	version		0.8.3
%define	release		1jpp
%define	section		free

Name:			%{name}
Version:		%{version}
Release:		%{release}
Epoch:			0
Summary:		Common library
License:		LGPL
Url:			http://www.jfree.org/jcommon/index.html
Source0:		http://osdn.dl.sourceforge.net/jfreechart/jcommon-0.8.3.tar.gz
Group:			Development/Libraries/Java
Distribution:		JPackage
Vendor:			JPackage Project
BuildRequires:		ant
BuildRequires:		junit
BuildRequires:		jpackage-utils >= 0:1.5
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot

%description
Collection of classes used by Object Refinery Projects,
for example jfreechart

%package test
Summary:        test tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}, junit

%description test
All test tasks for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%description javadoc -l fr
Javadoc pour %{name}.

%prep
%setup -q
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=%(build-classpath junit)
ant -f ant/build.xml -Dbuildstable=true -Dproject.outdir=. -Dbasedir=. compile compile-junit-tests javadoc

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
install -m 644 junit/%{name}-%{version}-junit.jar $RPM_BUILD_ROOT%{_javadir}
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc licence-LGPL.txt README
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%dir %{_javadir}/%{name}

%files test
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version}-junit.jar
%{_javadir}/%{name}-junit.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon Jul 07 2003 Henri Gomez <hgomez@users.sourceforge.net> 0:8.3-1jpp
- 0.8.3

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:8.1-1jpp
- 0.8.1
- update for JPackage 1.5

* Fri Mar 11 2003 Henri Gomez <hgomez@users.sourceforge.net> 0.7.2-2jpp
- update spec to respect JPP 1.5 policy

* Tue Mar 08 2003 Henri Gomez <hgomez@users.sourceforge.net> 0.7.2-1jpp
- 0.7.2
- use the provided build.xml (with some patchs on it)

* Mon Oct 28 2002 Henri Gomez <hgomez@users.sourceforge.net> 0.7.1-1jpp
- Initial release
